View Issue Details

IDProjectCategoryView StatusLast Update
0022940mantisbtcode cleanuppublic2017-09-03 18:41
ReportervboctorAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.4.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0022940: Update PHPMailer from 5.2.22 to 5.2.24 and use Composer
Description

Upgrade and use Composer

TagsNo tags attached.

Activities

dregad

dregad

2017-08-02 11:06

developer   ~0057378

PHPMailer 5.2.24 was released on 27-Jul-2017 including security and bug fixes

Related Changesets

MantisBT: master 9cbc85e2

2017-05-28 18:36:14

vboctor

Details Diff
Update PHPMailer to 5.2.23 via Composer

Fixes 0022940
mod - composer.json Diff File
mod - composer.lock Diff File
mod - core/email_api.php Diff File
mod - library/README.md Diff File
rm - library/phpmailer Diff File

MantisBT: master e7d5e46a

2017-08-02 10:50:37

dregad

Details Diff
Add former Submodules to .gitignore

Following the move of libraries from Git Submodules to Composer and
removal of the former, their respective directories need to be ignored
to avoid risk of inadvertant updates when switching back and forth
between 2.6+ and older branches.

Issues 0022913, 0022939, 0022940
mod - .gitignore Diff File

MantisBT: master 7cf4f0df

2017-08-02 11:03:35

dregad

Details Diff
Composer: minimum PHPMailer version is 5.2.22

Older versions have security issues.

Issue 0022940
mod - composer.json Diff File

MantisBT: master 5dea34c9

2017-08-02 11:04:24

dregad

Details Diff
Update PHPMailer to 5.2.24

Fixes 0022940
mod - composer.lock Diff File

Issue History

Date Modified Username Field Change
2017-05-28 18:31 vboctor New Issue
2017-06-04 17:24 vboctor Changeset attached => MantisBT master 9cbc85e2
2017-06-04 17:24 vboctor Assigned To => vboctor
2017-06-04 17:24 vboctor Status new => resolved
2017-06-04 17:24 vboctor Resolution open => fixed
2017-06-04 17:24 vboctor Fixed in Version => 2.6.0
2017-06-04 17:49 vboctor Target Version => 2.6.0
2017-08-02 11:06 dregad Summary Update PHPMailer from 5.2.22 to 5.2.23 and use Composer => Update PHPMailer from 5.2.22 to 5.2.24 and use Composer
2017-08-02 11:06 dregad Note Added: 0057378
2017-08-02 11:20 dregad Changeset attached => MantisBT master e7d5e46a
2017-08-02 11:20 dregad Changeset attached => MantisBT master 7cf4f0df
2017-08-02 11:20 dregad Changeset attached => MantisBT master 5dea34c9
2017-08-02 11:20 dregad Assigned To vboctor => dregad
2017-09-03 18:41 vboctor Status resolved => closed